#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid

Summary:        A simple chess board game for KDE
Name:           knights
Version:        23.08.5
Release:        %mkrel 1
Group:          Graphical desktop/KDE5
License:        GPLv2 or GPLv3
URL:            https://www.kde.org/applications/games/knights/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

Requires:       gnuchess

%description
Knights is a simple chess board for KDE. Currently you can play
against computer engines that support the XBoard protocol (like GnuChess)
or against a player at the same computer. It has automatic rule checking,
themes and some nice animations.

%files -f %name.lang
%{_kf5_bindir}/%{name}
%{_kf5_datadir}
#------------------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja -Wno-dev
%ninja_build

%install
%ninja_install -C build

%find_lang %name --with-html


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

